org.apache.lucene.luke.app

## Interface LukeState

    public interface LukeState

Holder for current index/directory.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default Directory` `getDirectory()`
`String` `getDirImpl()`
`String` `getIndexPath()`
`default IndexReader` `getIndexReader()`
`default boolean` `hasDirectoryReader()`
`default boolean` `keepAllCommits()`
`default boolean` `readOnly()`
`default boolean` `useCompound()`

### Method Detail

#### getIndexPath

    String getIndexPath()

#### getDirImpl

    String getDirImpl()

#### getDirectory

    default Directory getDirectory()

#### getIndexReader

    default IndexReader getIndexReader()

#### readOnly

    default boolean readOnly()

#### useCompound

    default boolean useCompound()

#### keepAllCommits

    default boolean keepAllCommits()

#### hasDirectoryReader

    default boolean hasDirectoryReader()